Download it now!
Bug 114605 - Line split buttons uno commands dont work in menu
Summary: Line split buttons uno commands dont work in menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:6.1.0 target:6.0.0.2
Keywords:
Depends on:
Blocks: Main-Menu Split-Group-Buttons
  Show dependency treegraph
 
Reported: 2017-12-20 23:14 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-12-27 14:28 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-12-20 23:14:48 UTC
Attempted to include Line and Arrows (.uno:ArrowsToolbox), Curves (.uno:LineToolbox), and Connectors (.uno:ConnectorToolbox) in the Insert > Shapes submenu, but their entries didnt extend out with submenu entries of the controls underneath them.
Comment 1 Maxim Monastirsky 2017-12-20 23:23:22 UTC
You need to add them to Controller.xcu, like you did in https://cgit.freedesktop.org/libreoffice/core/commit/?id=900a22c9ef53d8597570ccd1fa8a7a6106006f32
Comment 2 Yousuf Philips (jay) (retired) 2017-12-21 11:53:04 UTC
(In reply to Maxim Monastirsky from comment #1)
> You need to add them to Controller.xcu, like you did in
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=900a22c9ef53d8597570ccd1fa8a7a6106006f32

Thanks for the link, as i thought you were the one who made that change. :D

https://gerrit.libreoffice.org/46905
Comment 3 Commit Notification 2017-12-23 10:59:25 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eb5c30450e1966caf476dbbc63669b1593d5c5a7

tdf#114605 Allow line split buttons to work in the menus

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-12-27 14:28:13 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=023949fac0043408ac1b86dc67732666d041875e&h=libreoffice-6-0

tdf#114605 Allow line split buttons to work in the menus

It will be available in 6.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.